<div id="body" class="container-fluid">
  <h5>Fast Track Availability</h5>
  <div class="form-row text-center">
    <div class="form-group col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
      <button class="btn btn-primary btn-block" type="button" (click)="updateFTEvents()">
        Update
      </button>
    </div>
    <div class="form-group col-12 col-md-6 col-lg-4">
      <button class="btn btn-secondary btn-block" type="button" (click)="clear()">
        Cancel
      </button>
    </div>
  </div>

  <div class="row">
    <div class="col">
      <h6>Resource Count Overview:</h6>
      <dx-data-grid #grid id="gridFastTrackAvailability" [dataSource]="timeSlots" keyExpr="rsrcAvlbltyID"
                      [rowAlternationEnabled]="true" [showBorders]="true" [wordWrapEnabled]="true">
          <dxo-load-panel [enabled]="false"></dxo-load-panel>
          <dxo-scrolling mode="infinite"></dxo-scrolling>
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxi-column dataField="day" cellTemplate="day" caption="Date" dataType="string" [width]="100"></dxi-column>
          <dxi-column dataField="displayTimeSlot" caption="Time Slot" dataType="string" [width]="150"></dxi-column>
          <dxi-column dataField="maxTimeSlots" caption="Allowed FT Events" dataType="string" [width]="100"></dxi-column>
          <dxi-column [width]="100" [allowFiltering]="false" caption="Update Allowed FT Events"
                      [allowSorting]="false" cellTemplate="cellTemplate"></dxi-column>
          <dxi-column dataField="curAvailTimeSlots" [width]="100" [allowFiltering]="false" caption="Currently Assigned FT Events"
                      [allowSorting]="false" cellTemplate="curAvailTimeSlots" alignment="left"></dxi-column>

          <div *dxTemplate="let cell of 'day'">
            <span>{{cell.text | date:'MM/dd/yyyy'}}</span>
          </div>
          <div *dxTemplate="let data of 'cellTemplate'">
            <input type="text" style="width:80px;" (change)="updateFTCount(data.key, $event.target.value)" />
          </div>
          <div *dxTemplate="let data of 'curAvailTimeSlots'">
            <a class="dx-link" (click)="getFTEventsForTimeSlot(data, data.key)">
              {{ data.text }}
            </a>
          </div>
        </dx-data-grid>
    </div>

    <div class="col">
      <h6>Events Scheduled for: {{eventDay | date:'MM/dd/yyyy'}} {{eventTimeSlot}}</h6>
      <dx-data-grid #grid id="gridEventsForResourceID" [dataSource]="events" [rowAlternationEnabled]="true"
                    [showBorders]="true" [wordWrapEnabled]="true"
                    (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                    >
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-selection mode="single"></dxo-selection>
        <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
        <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
        <dxi-column dataField="eventID" caption="Event ID" dataType="string"></dxi-column>
        <dxi-column dataField="custName" caption="Customer Name" dataType="string"></dxi-column>
        <dxi-column dataField="assignedUsers" caption="Activator" dataType="string"></dxi-column>
        <dxi-column dataField="eventStatus" caption="Status" dataType="string"></dxi-column>
        <dxi-column dataField="escYN" caption="Escalated?" dataType="string"></dxi-column>
      </dx-data-grid>
    </div>
  </div>
</div>

